/**
 * Set custom geolocation parameters for the given Simulator using AppleScript.
 *
 * @this {CoreSimulatorWithGeolocation}
 * @param {string|number} latitude - The latitude value, which is going to be entered
 *   into the corresponding edit field, for example '39,0006'.
 * @param {string|number} longitude - The longitude value, which is going to be entered
 *   into the corresponding edit field, for example '19,0068'.
 * @returns {Promise<boolean>} True if the given parameters have correct format and were successfully accepted.
 * @throws {Error} If there was an error while setting the location
 */
export function setGeolocation(this: CoreSimulatorWithGeolocation, latitude: string | number, longitude: string | number): Promise<boolean>;
export type CoreSimulatorWithGeolocation = import('../types').CoreSimulator & import('../types').SupportsGeolocation;
//# sourceMappingURL=geolocation.d.ts.map